﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfMultiCombo
{
    public class Address
    {
        public Int32 AdrNo { get; set; }
        public string Name1 { get; set; }
        public string Name2 { get; set; }
        public string Street { get; set; }
        public string HouseNo { get; set; }
        public string CountryCode { get; set; }
        public string ZipCode { get; set; }
        public string City { get; set; }
        public string PhoneNo1 { get; set; }
        public string PhoneNo2 { get; set; }
        public string FaxNo { get; set; }
        public string EmailAddress { get; set; }
        public string ESNo { get; set; }
        public string EZNo { get; set; }
        public string UIN { get; set; }
        public string LanguageCode { get; set; }

        public string StreetAndHouseNo
        {
            get
            {
                if (!string.IsNullOrWhiteSpace(this.HouseNo))
                {
                    return this.Street + " " + this.HouseNo;
                }
                return this.Street;
            }

        }
        public string ZipCodeAndCity
        {
            get
            {
                if (!string.IsNullOrWhiteSpace(this.ZipCode))
                {
                    return this.ZipCode + " " + this.City;
                }
                return this.City;
            }
        }
        public string StreetAndCity
        {
            get
            {
                if ((!string.IsNullOrWhiteSpace(this.StreetAndHouseNo)) && (!string.IsNullOrWhiteSpace(this.ZipCodeAndCity)))
                {
                    return this.StreetAndHouseNo + " " + this.ZipCodeAndCity;
                }
                else if (!string.IsNullOrWhiteSpace(this.ZipCodeAndCity))
                {
                    return this.ZipCodeAndCity;
                }
                else if (!string.IsNullOrWhiteSpace(this.StreetAndHouseNo))
                {
                    return this.StreetAndHouseNo;
                }
                return string.Empty;
            }
        }
        public string Name
        {
            get
            {
                if ((!string.IsNullOrWhiteSpace(this.Name1)) && (!string.IsNullOrWhiteSpace(this.Name2)))
                {
                    return string.Concat(this.Name1, " ", this.Name2);
                }
                else if (!string.IsNullOrWhiteSpace(this.Name1))
                {
                    return this.Name1;
                }
                return string.Empty;
            }
        }
    }
}
